Passer au contenu principal
PUT
/
v1
/
products
/
{id}
/
entitlements
/
{feature_code}
Set product entitlement
curl --request PUT \
  --url https://api.hyperline.co/v1/products/{id}/entitlements/{feature_code} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "value": true
}'
{
  "feature_code": "sso",
  "value": true,
  "created_at": "2024-12-20T16:04:11Z",
  "updated_at": "2024-12-20T16:04:11Z"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis
feature_code
string
requis

Corps

application/json

Product entitlement payload.

value
requis

Entitlement value.

Réponse

200 - application/json
feature_code
string
requis

Feature code.

Exemple:

"sso"

value
requis

Entitlement value.

created_at
string<date-time>
requis

Creation date.

Exemple:

"2024-12-20T16:04:11Z"

updated_at
string<date-time>
requis

Last update date.

Exemple:

"2024-12-20T16:04:11Z"